## ros-melodic-rocon-python-comms 0.3.2

=== tests/CMakeLists.txt ===
##############################################################################
# Unit Tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.
##############################################################################

##############################################################################
# Nose Tests
##############################################################################

catkin_add_nosetests(nosetests)

##############################################################################
# Ros Tests
##############################################################################

add_subdirectory(rostests)

=== tests/rostests/CMakeLists.txt ===
##############################################################################
# Unit Tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.
##############################################################################

find_package(catkin REQUIRED COMPONENTS rostest)
add_rostest(connection_cache/connection_cache.test)
add_rostest(connection_cache/connection_cache_node.test)
add_rostest(service_pairs/service_pairs.test)
add_rostest(service_pair_timeouts/service_pair_timeouts.test)
add_rostest(subscriber_proxy/subscriber_proxy.test)
add_rostest(find_node/find_node.test)
add_rostest(utils/utils.test)

=== debian/changelog ===
ros-melodic-rocon-python-comms (0.3.2-0stretch) stretch; urgency=high

  * master check via the rosparam server bugfix
  * allow named services in batching functions
  * drop pyros_test

 -- AlexV <asmodehn@gmail.com>  Wed, 11 May 2016 04:00:00 -0000

ros-melodic-rocon-python-comms (0.3.1-0stretch) stretch; urgency=high

  * [rocon_python_comms] connection cache node

 -- AlexV <asmodehn@gmail.com>  Wed, 16 Mar 2016 04:00:00 -0000

ros-melodic-rocon-python-comms (0.3.0-0stretch) stretch; urgency=high

  * lots of minor api added

 -- AlexV <asmodehn@gmail.com>  Sat, 10 Oct 2015 04:00:00 -0000

ros-melodic-rocon-python-comms (0.2.0-0stretch) stretch; urgency=high

  * one shot and indefinite waiting for service pair clients
  * basename function for ros names
  * convenience service/publisher/subscriber mass producers
  * connection cache node prototype
  * connection cache class moved here from the gateway for multi-use

 -- AlexV <asmodehn@gmail.com>  Tue, 18 Aug 2015 04:00:00 -0000

ros-melodic-rocon-python-comms (0.1.16-0stretch) stretch; urgency=high

  * use exceptions informative way #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * update logic of find_service_namespace #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * rename is_valid_service
  * rename is_valid_service to service_is_available
  * update namespace finder and service validation checker
  * Contributors: Jihoon Lee, dwlee

 -- AlexV <asmodehn@gmail.com>  Mon, 02 Mar 2015 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.15-0stretch) stretch; urgency=high



 -- AlexV <asmodehn@gmail.com>  Fri, 27 Feb 2015 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.14-0stretch) stretch; urgency=high



 -- AlexV <asmodehn@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.13-0stretch) stretch; urgency=high

  * delete command option about port and implement to set port when terminal is spawned
  * make remocon_delay test
  * Contributors: dwlee

 -- AlexV <asmodehn@gmail.com>  Mon, 12 Jan 2015 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.12-0stretch) stretch; urgency=high



 -- AlexV <asmodehn@gmail.com>  Thu, 08 Jan 2015 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.11-0stretch) stretch; urgency=high



 -- AlexV <asmodehn@gmail.com>  Tue, 02 Dec 2014 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.10-0stretch) stretch; urgency=high



 -- AlexV <asmodehn@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-rocon-python-comms (0.1.9-0stretch) stretch; urgency=high

  * to fix #54 <https://github.com/robotics-in-concert/rocon_tools/issues/54>
  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- AlexV <asmodehn@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-rocon-python-comms (0.1.7-0stretch) stretch; urgency=high

  * update publisher queue_size to avoid warning in indigo.
  * robustify find_service against zombie services, closes #42 <https://github.com/robotics-in-concert/rocon_tools/issues/42>.
  * updated usage examples for service pairs.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Mon, 26 May 2014 04:00:00 -0000

ros-melodic-rocon-python-comms (0.1.5-0stretch) stretch; urgency=high

  * sphinx documentation added.
  * better feedback on service communication errors.
  * comment find_node that it only accepts unresolved names.
  * fix missing list return for non-unique find_service requests
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Mon, 05 May 2014 04:00:00 -0000

ros-melodic-rocon-python-comms (0.1.2-0stretch) stretch; urgency=high

  * bugfix location of rospair bash file.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Wed, 02 Apr 2014 04:00:00 -0000

ros-melodic-rocon-python-comms (0.1.0-0stretch) stretch; urgency=high

  * bugfix missing list return for non-unique find_topic_requests.
  * add find_node function including rostests.
  * add find_topic function.
  * find_service should catch exceptions when ros shuts down too.
  * add find_service function.
  * optional threaded callbacks for service pair servers.
  * testing against quick calls of the service server.
  * wall rate from rocon_utilities.
  * subscriber proxy from rocon_utilities.
  * rospair command line tool with call, type, list and bash completion.
  * rospair command line tool list functionality
  * ported in service pairs from multimaster.
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- AlexV <asmodehn@gmail.com>  Mon, 31 Mar 2014 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-rocon-python-comms
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-melodic-catkin, ros-melodic-rostest, ros-melodic-rosunit
Homepage: http://ros.org/wiki/rocon_python_comms
Standards-Version: 3.9.2

Package: ros-melodic-rocon-python-comms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-yaml, ros-melodic-genpy, ros-melodic-rocon-console, ros-melodic-rocon-service-pair-msgs, ros-melodic-rosgraph, ros-melodic-roslib, ros-melodic-rosnode, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-rostopic, ros-melodic-unique-id, ros-melodic-uuid-msgs
Description: Service pair libraries for pub/sub non-blocking services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rocon-python-comms//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
